Subject: [Dhcpv6bis] DHCPv4 Registry - Missing protocol registry from RFC 3118?

From: "Bernie Volz (volz)" <[email-masked]>
Date: Sat, 27 Jun 2015 00:51:23 +0000

Hi:

In doing some work on draft-ietf-dhc-rfc3315bis, we noticed that it appears that a registry requested by RFC 3118 might never have been created (or if it was, it got lost at some point)?

RFC 3118 requested:

6. IANA Considerations

   Section 2 defines a new DHCP option called the Authentication Option,
   whose option code is 90.

   This document specifies three new name spaces associated with the
   Authentication Option, which are to be created and maintained by
   IANA:  Protocol, Algorithm and RDM.

   Initial values assigned from the Protocol name space are 0 (for the
   configuration token Protocol in section 4) and 1 (for the delayed
   authentication Protocol in section 5).  Additional values from the
   Protocol name space will be assigned through IETF Consensus, as
   defined in RFC 2434 [8].

...

The algorithm registry exists - http://www.iana.org/assignments/bootp-dhcp-parameters/bootp-dhcp-parameters.xhtml#authentication-algorithm-id
The RDM registry exists - http://www.iana.org/assignments/bootp-dhcp-parameters/bootp-dhcp-parameters.xhtml#authentication-rdm-id

The above were likely created for RFC4030 which also defines these values (though the algorithm value 1 is different in the two documents - HMAC-MD5 in 3118 and HMAC-SHA1 in 4030 - I think this registry should be left as is). And, RFC 4030 never requested a protocol registry (as it doesn't have this field).

But there does not appear to be a protocol registry as requested by RFC 3118?

RFC 3315 has (in section 24 on IANA Considerations):

   This document also references three name spaces in section 21 that
   are associated with the Authentication Option (section 22.11).  These
   name spaces are defined by the authentication mechanism for DHCPv4 in
   RFC 3118 [4].

Given that RFC 3315 added two more protocols, the table should be:

Protocol               Description (Reference)

    0                          DHCPv4 Configuration Token (RFC 3118, Section 4)

    1                          DHCPv4 Delayed Authentication (RFC 3118, Section 5)

    2                          DHCPv6 Delayed Authentication (RFC 3315, Section 21.4)

    3                          DHCPv6 Reconfigure Key Authentication (RFC 3315, Section 21.5)

Perhaps worth adding this table?

Thanks in advance!

-          Bernie